Bug 128207 - kernel BUG with tux
kernel BUG with tux
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 00:32 EDT by Ralph Loader
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 01:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2004-07-20 00:32:23 EDT
Description of problem:

Making a HTTP request to tux is causing kernel BUGs and NULL pointer
dereferences.

Version-Release number of selected component (if applicable):

kernel-smp-2.6.5-1.358
kernel-smp-2.6.7-1.478

How reproducible:

Happened both times I tried.  Different kernel stack traces.


Steps to Reproduce:
1.  Start tux
2.  Do an HTTP GET (actual client was 'apt-get update' from a machine
with RPM version on apt).
3.
  
Actual results:

kernel-smp-2.6.7-1.478 (only running on 1 CPU though - acpi=off),
tux-3.2.18-1 on port 81, client pointed at 8080, but nothing
listening:


Jul 20 15:50:46 thequack tux: tux startup succeeded
Jul 20 15:50:46 thequack kernel: TUX: thread 0 listens on
http://0.0.0.0:81.
Jul 20 15:51:34 thequack kernel: ------------[ cut here ]------------
Jul 20 15:51:34 thequack kernel: kernel BUG at fs/namei.c:417!
Jul 20 15:51:34 thequack kernel: invalid operand: 0000 [#1]
Jul 20 15:51:34 thequack kernel: SMP
Jul 20 15:51:34 thequack kernel: Modules linked in: tux zlib_deflate
sr_mod msdos fat loop nls_utf8 udf nfsd exportfs snd_mixer_oss
snd_intel8x0 snd_ac97_codec snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore mga ipv6
parport_pc lp parport autofs4 nfs lockd sunrpc e100 mii floppy sg
microcode dm_mod joydev uhci_hcd ehci_hcd ext3 jbd ata_piix libata
sd_mod scsi_mod
Jul 20 15:51:34 thequack kernel: CPU:    0
Jul 20 15:51:34 thequack kernel: EIP:    0060:[<02168a07>]    Not tainted
Jul 20 15:51:34 thequack kernel: EFLAGS: 00010206   (2.6.7-1.478smp)
Jul 20 15:51:34 thequack kernel: EIP is at link_path_walk+0x493/0xa5f
Jul 20 15:51:34 thequack kernel: eax: 08403170   ebx: 04995000   ecx:
13753a70   edx: 04995e7c
Jul 20 15:51:34 thequack kernel: esi: 172f2380   edi: 04995ec4   ebp:
ffffffd8   esp: 04995e6c
Jul 20 15:51:34 thequack kernel: ds: 007b   es: 007b   ss: 0068
Jul 20 15:51:34 thequack kernel: Process async IO 0/1 (pid: 4556,
threadinfo=04995000 task=08403170)
Jul 20 15:51:34 thequack kernel: Stack: 00000001 00000000 1b2ee254
21eb38b4 172f2380 5a5a5a5a 5a5a5a5a 026ea0f0
Jul 20 15:51:34 thequack kernel:        026ea0f0 2101a758 e33e75d8
1b2ee24c 00000007 21eb38b4 04995ec4 1b2ee24c
Jul 20 15:51:34 thequack kernel:        00000001 1b2ee004 23440602
1b2ee004 2344070c 04995f38 026ea0f0 21eb38b4
Jul 20 15:51:34 thequack kernel: Call Trace:
Jul 20 15:51:34 thequack kernel:  [<23440602>] __tux_lookup+0xc/0x1d [tux]
Jul 20 15:51:34 thequack kernel:  [<2344070c>] tux_lookup+0xcf/0xd5 [tux]
Jul 20 15:51:34 thequack kernel:  [<23445286>] lookup_url+0x61/0x4f9 [tux]
Jul 20 15:51:34 thequack kernel:  [<022d1d19>] schedule+0x639/0x6c4
Jul 20 15:51:34 thequack kernel:  [<23446792>]
http_process_message+0x3f/0x25f [tux]
Jul 20 15:51:34 thequack kernel:  [<234402ea>]
tux_schedule_atom+0x23/0x34 [tux]
Jul 20 15:51:34 thequack kernel:  [<23441650>]
cachemiss_thread+0x1af/0x2ac [tux]
Jul 20 15:51:34 thequack kernel:  [<0211e3a1>]
default_wake_function+0x0/0xc
Jul 20 15:51:34 thequack kernel:  [<0211e3a1>]
default_wake_function+0x0/0xc
Jul 20 15:51:34 thequack kernel:  [<234414a1>]
cachemiss_thread+0x0/0x2ac [tux]
Jul 20 15:51:34 thequack kernel:  [<021041f1>]
kernel_thread_helper+0x5/0xb
Jul 20 15:51:34 thequack kernel: Code: 0f 0b a1 01 bb 81 2e 02 8b 43
08 a8 08 74 05 e8 c7 98 16 00
Jul 20 15:52:51 thequack kernel:  <5>TUX: thread 0 stopping ...



kernel-smp-2.6.5-1.358, listening on port 81, client pointed at apache
on port 80:

Jul 20 16:11:51 thequack kernel: TUX: logger thread started.
Jul 20 16:11:51 thequack kernel: TUX: thread 0 listens on
http://0.0.0.0:81.
Jul 20 16:11:51 thequack kernel: TUX: error -98 binding socket. This
means that probably some other process is (or was a short time ago)
using addr http://0.0.0.0:80.
Jul 20 16:11:51 thequack kernel: TUX: could not start worker thread 1.
Jul 20 16:11:52 thequack tux: tux startup succeeded
Jul 20 16:13:27 thequack tux: Tux version: 3/0/0
Jul 20 16:13:27 thequack kernel: TUX: logger thread started.
Jul 20 16:13:27 thequack kernel: TUX: thread 0 listens on
http://0.0.0.0:81.
Jul 20 16:13:28 thequack tux: tux startup succeeded
Jul 20 16:13:53 thequack kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000020
Jul 20 16:13:53 thequack kernel:  printing eip:
Jul 20 16:13:53 thequack kernel: 22a56639
Jul 20 16:13:53 thequack kernel: *pde = 00003001
Jul 20 16:13:53 thequack kernel: Oops: 0000 [#1]
Jul 20 16:13:53 thequack kernel: SMP
Jul 20 16:13:53 thequack kernel: CPU:    0
Jul 20 16:13:53 thequack kernel: EIP:    0060:[<22a56639>]    Not tainted
Jul 20 16:13:53 thequack kernel: EFLAGS: 00010246   (2.6.5-1.358smp)
Jul 20 16:13:53 thequack kernel: EIP is at inet6_getname+0x72/0xe0 [ipv6]
Jul 20 16:13:53 thequack kernel: eax: 00000042   ebx: 1a4b7efc   ecx:
00000010   edx: 00000000
Jul 20 16:13:53 thequack kernel: esi: 00000020   edi: 1a4b7f04   ebp:
1aa5fc00   esp: 1a4b7ed4
Jul 20 16:13:53 thequack kernel: ds: 007b   es: 007b   ss: 0068
Jul 20 16:13:53 thequack kernel: Process httpd (pid: 2324,
threadinfo=1a4b7000 task=2146e230)
Jul 20 16:13:53 thequack kernel: Stack: 1aa5fd50 1a4b7ef4 22a83440
0af1f380 1a602200 1a4b7efc 0224a626 00000002
Jul 20 16:13:53 thequack kernel:        2146e230 00000000 6104000a
00000000 1a4b7f40 00000002 1a2a2500 00000145
Jul 20 16:13:53 thequack kernel:        00000000 0226a8cf 03405ce0
00000000 abde4940 000f426d 00016c87 00016c87
Jul 20 16:13:53 thequack kernel: Call Trace:
Jul 20 16:13:53 thequack kernel:  [<0224a626>] sys_accept+0xce/0x13f
Jul 20 16:13:53 thequack kernel:  [<0226a8cf>] tcp_poll+0x21/0x14a
Jul 20 16:13:53 thequack kernel:  [<02140c53>] follow_page+0x128/0x134
Jul 20 16:13:53 thequack kernel:  [<0214c50b>] rw_vm+0x20b/0x234
Jul 20 16:13:53 thequack kernel:  [<0224af83>] sys_socketcall+0x8d/0x179
Jul 20 16:13:53 thequack kernel:
Jul 20 16:13:53 thequack kernel: Code: f3 a4 0f b6 42 49 24 04 84 c0
74 3d 8b 42 34 89 43 04 eb 35
Comment 1 Dave Jones 2005-02-07 21:00:14 EST
is this repeatable with the current errata kernels ?
Comment 2 Ralph Loader 2005-02-10 01:59:12 EST
I can no longer reproduce this.

Note You need to log in before you can comment on or make changes to this bug.